# enaml.colors

Functions

`parse_color` | Parse a CSS3 color string into a tuple of RGBA values.

Classes

`Color` |
`ColorMember` | An Atom member class which coerces a value to a color.

enaml.colors.parse_color(color)

  Parse a CSS3 color string into a tuple of RGBA values.

  Parameters:

    color (string) – A CSS3 string representation of the color.

  Returns:

    result – A color object representing the parsed color. If the string is invalid, None will be returned.

  Return type:

    Color or None

class enaml.colors.Color

  Bases: `object`

  classmethod __new__(*args, **kwargs)
  __reduce__()

    Helper for pickle.

  __repr__()

    Return repr(self).

  alpha

    Get the alpha value for the color.

  argb

    Get the color as an #AARRGGBB unsigned long.

  blue

    Get the blue value for the color.

  green

    Get the green value for the color.

  red

    Get the red value for the color.